Mono(Mono 1.0)

NAME
mint - Mono ECMA-CLI interpreter.

SYNOPSIS

mint [--help] [--opcode-count] [--trace] [--traceops] [--profile] [--config filename] [--debug method] program.exe [arguments...]

DESCRIPTION
The mint program is an interpreter for ECMA CLI byte codes. It executes the bytecodes contains in program.exe and optionally passes the arguments to it.

OPTIONS
The following Generic options are supported:

--help , -h
    Displays usage instructions.

--config filename
    Load the specified configuration file instead of the default one(s). The default files are /etc/mono/config and ~/.mono/config or the file specified in the MONO_CONFIG environment variable, if set.

--trace
    Traces execution showing when methods are entered and left. --traceops Traces execution at the instruction level and displays the stack contents. --traceclassinit Shows when classes are initialized

--noptr
    Suppresses printing of pointer addresses in trace output.

--profile
    Performs runtime profiling of the code and displays statistics at the end of execution.

--opcode-count
    Displays the number of opcodes executed.

--dieonex
    Aborts execution upon hitting an exception.

--debug method
    Debugs the method whose name is `method'. You can specify the method like this: `class:method' or `class::method'

--opcode-count
    Displays the number of opcodes executed

ENVIRONMENT VARIABLES

MONO_PATH
    Provides a search path to mono and mint where to look for library files. Directories are separated by the platform path separator (colons on unix). Example: /home/username/lib:/usr/local/mono/lib

FILES
Assemblies are lodaed from the installation lib directory. If you set `prefix' to /usr, the assemblies will be located in /usr/lib.

/etc/mono/config, ~/.mono/config

    Mono runtime configuration file. See the mono-config(5) manual page for more information.

MAILING LISTS
Visit http://mail.ximian.com/mailman/mono-list for details.

WEB SITE
Visit: http://www.go-mono.com for details

SEE ALSO
mono(1),monodis(1)